// Ansteuerung eines HD44780 kompatiblen LCD im 4-Bit-Interfacemodus
// http://www.mikrocontroller.net/articles/AVR-GCC-Tutorial/LCD-Ansteuerung
#include <stdint.h>


void lcd_data(unsigned char temp1);
void lcd_string(char *data);
void lcd_command(unsigned char temp1);
void lcd_enable(void);
void lcd_init(void);
void lcd_home(void);
void lcd_clear(void);
void set_cursor(uint8_t x, uint8_t y);
void my_print_LCD(char* string, uint8_t start, uint8_t komma, uint8_t frac);
void my_uitoa(uint32_t zahl, char* string) ;
void lcd_menue(unsigned char i);
void lcd_werte(unsigned char i);

// Hier die verwendete Taktfrequenz in Hz eintragen, wichtig!
 
#define F_CPU 8000000 
 
// LCD Befehle
 
#define CLEAR_DISPLAY 0x01
#define CURSOR_HOME   0x02
 
// Pinbelegung fr das LCD, an verwendete Pins anpassen
 
#define LCD_PORT      PORTD
#define LCD_DDR       DDRD
#define LCD_RS        PD4
#define LCD_EN        PD5
// DB4 bis DB7 des LCD sind mit PD0 bis PD3 des AVR verbunden 

#define menue_points 4
char menue_nr;
#define umenue_points 4
char umenue_nr;

int w,z,y,rnds,d,e ,esum,nd,ealt;
unsigned long kmh;


#define TRUE 			1
#define FALSE 			0

char impuls;
char pwm_manual;



